GCLI-PULLS-REVIEW(1)

NAME
gcli pulls review - GCLI Integrated Code Review Tool

SYNOPSIS
gcli pulls review [-o owner -r repo] -i id review

DESCRIPTION
WARNING! This feature is rather new. Expect bugs and broken features. Please report bugs if you hit any. The same also applies to this manual page. Please suggest improvements that can be made to this feature too. To enable this experimental action you must either set “enable-experimental” in your gcli config file (see gcli(5)) to “yes” or set the environment variable GCLI_ENABLE_EXPERIMENTAL to “yes”.

The gcli pulls review action can be used to perform code review tasks for pull requests on Git forges supported by gcli.

Running this action will drop you into your editor and lets you annotate the diff of the PR. Comments are always above the change they refer to. A change is either a single diff line or multiple lines wrapped in curly braces on the lines surrounding the change. Comments may be prefixed with “>”:

    @@ foo.md -0,0 +0,0 @@ hunk starts here
     No change
    This is a single line comment
    +Foo

    > This is is a multiline comment on a multiline diff.
    >
    > Comment continues here.
    {
     not a change
    -Removed this line
    +Added this line
    +Added another line.
    }
     this is also not a change

The above example produces two comments, the first referring only to the addition of “Foo” and the second referring to 4 lines surrounded by the curly braces.

Everything leading up to the first diff will be attached as a top-level comment for your review.

After you saved and exited the editor you will be asked what actions to take on your review. This allows you to request changes, approve the changes, leave a plain comment or to postpone the review locally.

OPTIONS

-o, --owner owner
    List PRs in the repository of the given owner. This option can only be used in combination with -r.

-r, --repo repo
    List PRs in the given repository. This option can only be used in combination with -o.

-i, --id PR
    Review pull request PR.

EXAMPLES
Review PR #69 in the current inferred forge and remote:

    $ gcli pulls -i 69 review

Review PR #12 in curl/curl on Github:

    $ gcli -t github pulls -o curl -r curl -i 12 review

SEE ALSO
git(1), git-merge(1), git-branch(1), gcli(1), patch(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
At the moment the diff cache directory is not created automagically. You have to manually create it in case gcli complains.

This feature is not implemented (but in active development) on Gitea.

Please report bugs at https://sr.ht/~herrhotzenplotz/gcli, via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss or on Github.